## AnacondaHubWindow

AnacondaHubWindow — Window for displaying a Hub

## Functions

GtkWidget * | anaconda_hub_window_new ()
GtkWidget * | anaconda_hub_window_get_spoke_area ()

## Types and Values

struct | AnacondaHubWindow
struct | AnacondaHubWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── AnacondaBaseWindow
                                ╰── AnacondaHubWindow

## Implemented Interfaces

AnacondaHubWindow implements AtkImplementorIface and GtkBuildable.

## Description

A AnacondaHubWindow is a top-level window that displays a hub on the entire screen. A Hub allows selection of multiple configuration spokes from a single interface, as well as a place to display current configuration selections.

The window consists of three areas:

- A navigation area in the top of the screen, inherited from AnacondaBaseWindow.

- A selection area in the middle of the screen, taking up a majority of the space. This is where spokes will be displayed and the user can decide what to do.

- An action area on the bottom of the screen. This area is different for different kinds of hubs. It may have buttons, or it may have progress information.

### AnacondaHubWindow as GtkBuildable

The AnacondaHubWindow implementation of the GtkBuildable interface exposes the `action_area` and `scrolled_window` as internal children with the names "action_area" and "scrolled_window". action_area, in this case, is largely there to give a box to contain both the scrolled_window and a GtkButtonBox.

Example 2. A AnacondaHubWindow UI definition fragment.

    <object class="AnacondaHubWindow" id="hub1">
        <child internal-child="action_area">
            <object class="GtkVBox" id="vbox1">
                <child internal-child="scrolled_window">
                    <object class="GtkScrolledWindow" id="window1">
                        <child>...</child>
                    </object>
                </child>
                <child>
                    <object class="GtkHButtonBox" id="buttonbox1">
                        <child>...</child>
                    </object>
                </child>
            </object>
        </child>
    </object>

## Functions

### anaconda_hub_window_new ()

    GtkWidget *
    anaconda_hub_window_new ();

Creates a new AnacondaHubWindow, which is a window designed for displaying multiple spokes in one location.

#### Returns

A new AnacondaHubWindow.

### anaconda_hub_window_get_spoke_area ()

    GtkWidget *
    anaconda_hub_window_get_spoke_area (AnacondaHubWindow *win);

Returns the scrolled window of `win` where spokes may be displayed

#### Parameters

win | a AnacondaHubWindow |

#### Returns

The spoke area.

[transfer none]

Since 1.0

## Types and Values

### struct AnacondaHubWindow

    struct AnacondaHubWindow;

The AnacondaHubWindow struct contains only private fields and should not be directly accessed.

### struct AnacondaHubWindowClass

    struct AnacondaHubWindowClass {
        AnacondaBaseWindowClass parent_class;
    };

#### Members

AnacondaBaseWindowClass `parent_class`; | The object class structure needs to be the first element in the widget class structure in order for the class mechanism to work correctly. This allows an AnacondaHubWindowClass pointer to be cast to an AnacondaBaseWindow pointer. |